import {RouterView} from "vue-router";

export default {
    path: '/shelving',
    name: 'Shelving',
    meta: {
        title: 'shelving',
        icon: 'vn:trolley'
    },
    component: RouterView,
    redirect: { name: 'ShelvingMain' },
    menus: {
        main: ['ShelvingList'],
        card: ['ShelvingBasicData']
    },
    children: [
        {
            path: '',
            name: 'ShelvingMain',
            component: () => import('src/pages/Shelving/ShelvingMain.vue'),
            redirect: { name: 'ShelvingList' },
            children: [
                {
                    path: 'list',
                    name: 'ShelvingList',
                    meta: {
                        title: 'shelvingList',
                        icon: 'view_list',
                    },
                    component: () => import('src/pages/Shelving/ShelvingList.vue'),
                },
                {
                    path: 'create',
                    name: 'ShelvingCreate',
                    meta: {
                        title: 'create',
                    },
                    component: () => import('src/pages/Shelving/ShelvingCreate.vue'),
                },
            ],
        },
        {
            name: 'ShelvingLayout',
            path: ':id',
            component: () => import('pages/Shelving/Summary/ShelvingSummaryPage.vue'),
            redirect: { name: 'ShelvingSummary' },
            children: [
                {
                    name: 'ShelvingSummary',
                    path: 'summary',
                    meta: {
                        title: 'summary',
                    },
                    component: () =>
                        import('pages/Shelving/Summary/ShelvingSummary.vue'),
                },
                {
                    name: 'ShelvingBasicData',
                    path: 'basic-data',
                    meta: {
                        title: 'basicData',
                        icon: 'vn:settings',
                        roles: ['salesPerson'],
                    },
                    component: () => import('pages/Shelving/ShelvingBasicData.vue'),
                },
            ],
        },
    ]
};

